/*!
  \file
  \brief リモート描画 (マスター側)

  \author Satofumi KAMIMURA

  $Id: MasterLayer.cpp 941 2009-05-31 07:11:18Z satofumi $
*/

#include "MasterLayer.h"
#include "Component.h"

using namespace qrk;


struct MasterLayer::pImpl
{
  // !!!
};


MasterLayer::MasterLayer(void) : pimpl(new pImpl)
{
}


MasterLayer::~MasterLayer(void)
{
}


void MasterLayer::setAlpha(float alpha)
{
  static_cast<void>(alpha);
  // !!!
}


void MasterLayer::draw(void)
{
  // !!!

  // !!! パケットを送信する
  // !!! パケットがあれば、"SY0000" を送信する
}


void MasterLayer::clear(void)
{
  // !!!
}


void MasterLayer::push_front(Component* component)
{
  static_cast<void>(component);
  // !!!
}


void MasterLayer::push_back(Component* component)
{
  static_cast<void>(component);
  // !!!
}


void MasterLayer::remove(Component* component)
{
  static_cast<void>(component);
  // !!!
}


void MasterLayer::registerId(Component* component, size_t register_id)
{
  static_cast<void>(component);
  static_cast<void>(register_id);
  // !!!
}
